#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%global		__python	/usr/bin/python3
%global		pyt3ver		%(%{__python} --version | cut -d ' ' -f2 |cut -d '.' -f1-2)
%global		pyt3num		%(echo %{pyt3ver} | tr -d '.')
#-----------------------------------------------------------------------------
Name		:	python-networkmanager
Version		:	2.2
Release		:	14.8.0.0%{?dist}
Summary		:	Easy communication with NetworkManager

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/seveas/python-networkmanage

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildRequires	:	python-pyproject-metadata

BuildRequires	:	python3-sphinx
BuildRequires	:	python3-sphinx_rtd_theme
BuildRequires	:	python3-libstemmer

Requires	:	%{__python}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
python-networkmanager wraps NetworkManagers D-Bus
interface so you can be less verbose when talking
to NetworkManager from python.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README examples
%license COPYING
%{python3_sitelib}/NetworkManager.py
%{python3_sitelib}/__pycache__/NetworkManager.*.pyc
%{python3_sitelib}/python_%{sname}-%{version}.dist-info/
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

%{__make}						\
	-C docs						\
	man						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

# Installing manpage...
install -d %{buildroot}%{_mandir}/man1/
install -m 0644 					\
	-p docs/_build/man/%{name}.1			\
	%{buildroot}%{_mandir}/man1/

#-----------------------------------------------------------------------------
%changelog
